import { AccessControlConfigService } from './access-control-config.service';
import { UntypedFormBuilder } from '@angular/forms';
import { UntypedFormGroup } from '@angular/forms';
import { MatDialog } from '@angular/material/dialog';
import { OnInit } from '@angular/core';
import { AlertService } from '../core';
import * as i0 from "@angular/core";
export declare class AccessControlConfigComponent implements OnInit {
    private dialog;
    private alertService;
    private fb;
    private configService;
    configs: any[];
    displayedColumns: string[];
    page: number;
    lastPage: number;
    perPage: number;
    isWorking: boolean;
    filterFormGroup: UntypedFormGroup;
    constructor(dialog: MatDialog, alertService: AlertService, fb: UntypedFormBuilder, configService: AccessControlConfigService);
    ngOnInit(): void;
    listenChanges(): void;
    ngOnDestroy(): void;
    loadData(): Promise<void>;
    reload(): void;
    modifyTechlifyUpdate(model?: any): void;
    deleteTechlifyUpdate(model: any): Promise<void>;
    resetFieldValue(field: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AccessControlConfigComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AccessControlConfigComponent, "app-access-control-config", never, {}, {}, never, never, false, never>;
}
